import request from '@/utils/request'

// 查询商品列表(上架,下架)
export function getlistGoods(query) {
    return request({
        url: '/system/goodsNew/list',
        method: 'get',
        params: query
    })
}

//上下架商品
export function shelvesStatus(data) {
    return request({
        url: '/system/goodsNew/shelvesStatus',
        method: 'post',
        data: data
    })
}

//删除还原商品
export function delgoodsStatus(data) {
    return request({
        url: '/system/goodsNew/goodsStatus',
        method: 'post',
        data: data
    })
}

// 商品详情
export function getgoodsdetail(query) {
    return request({
        url: '/system/goodsNew/info',
        method: 'get',
        params: query
    })
}

// 分类
export function goodsjdAddress(query) {
    return request({
        url: '/system/goodsNew/businessList',
        method: 'get',
        params: query
    })
}

// 商品导入
export function goodsimport(data) {
    return request({
        url: '/system/goodsNew/collect',
        method: 'post',
        data: data
    })
}

// 取消审核
export function cancelOnsale(data) {
    return request({
        url: '/system/goodsNew/cancelOnsale',
        method: 'post',
        data: data
    })
}

// 批量取消申请上架
export function cancelOnsaleAllData(data) {
  return request({
    url: '/system/goodsNew/cancelOnsaleAll',
    method: 'post',
    data: data
  })
}

// 保存 不下架编辑商品数据
export function saveHotEditGoodsData(data) {
  return request({
    url: '/system/goodsNew/onsaleUpdate',
    method: 'post',
    data: data
  })
}
